The My Business Notification Settings API enables managing notification settings for business accounts. Note: If you have a quota of 0 after enabling the API, please request GBP API access at <https://developers.google.com/my-business/content/prereqs#request-access>.

- [REST Resource: v1.accounts](https://developers.google.com/my-business/reference/notifications/rest#v1.accounts)

## Service: mybusinessnotifications.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://mybusinessnotifications.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://mybusinessnotifications.googleapis.com`

## REST Resource: [v1.accounts](https://developers.google.com/my-business/reference/notifications/rest/v1/accounts)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/notifications/rest/v1/accounts/getNotificationSetting` | `GET /v1/{name=accounts/*/notificationSetting}` Returns the pubsub notification settings for the account. |
| `https://developers.google.com/my-business/reference/notifications/rest/v1/accounts/updateNotificationSetting` | `PATCH /v1/{notificationSetting.name=accounts/*/notificationSetting}` Sets the pubsub notification setting for the account informing Google which topic to send pubsub notifications for. |